//
//  LoginTypeHttpGetCmd.m
//  MobilePortal
//
//  Created by caiyang on 2020/9/14.
//  Copyright © 2020 yin chen. All rights reserved.
//

#import "LoginTypeHttpGetCmd.h"
#import "LoginTypeHttpResult.h"
static NSString *kActionUrl1 = @"/Single/LoginTypeByMessage/";

@implementation LoginTypeHttpGetCmd

-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[LoginTypeHttpGetCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[LoginTypeHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    return [NSString stringWithFormat:@"%@%@",kActionUrl1,self.requestInfo[kHttpLoginTypeHttpGetCmd_userid]];
//    return kActionUrl1;
}

@end
NSString *const kHttpLoginTypeHttpGetCmd_userid = @"userid";
